package be.iminds.ilabt.jfed.ui.javafx.util;

import be.iminds.ilabt.jfed.ui.javafx.GlyphUtils;
import javafx.scene.Node;
import javafx.scene.control.Label;
import javafx.scene.paint.Color;
import org.controlsfx.glyphfont.FontAwesome;

/**
 * User: twalcari
 * Date: 8/12/2014
 * Time: 14:55
 */
public class InformationLabel extends Label {

    //instance initializer
    {
        getStyleClass().add("information-label");
        getStylesheets().add(this.getClass().getResource("InformationLabel.css").toExternalForm());
    }

    public InformationLabel() {
    }

    public InformationLabel(String s) {
        super(s, GlyphUtils.createSmallGlyph(FontAwesome.Glyph.INFO, Color.BLUE));
    }

    public InformationLabel(String s, Node node) {
        super(s, node);
    }
}
